class AddInfosToContacts < ActiveRecord::Migration
  def change
    add_column :contacts, :statut, :string
    add_column :contacts, :readed, :boolean, :default => false
    add_column :contacts, :admin_id, :integer
    add_column :contacts, :archived, :boolean, :default => false
    add_column :contacts, :provenance_id, :integer
    add_column :contacts, :small_comment, :text
    add_column :contacts, :contact_status, :string
    add_column :contacts, :corporate, :string
    add_column :contacts, :urgent, :boolean, :default => false
    add_column :contacts, :objet, :text
    add_column :contacts, :raison_text, :string
    
    Contact.all.each do |c|
      c.save
    end
  end
end
